-- ----------------------------
-- DIREKTE SPEICHERUNG in BLOBs
-- ----------------------------

-- ggf. Aufrumen:
DELETE FROM Rasterkarten;
DELETE FROM USER_SDO_GEOM_METADATA WHERE table_name = 'RASTERKARTEN';
DROP INDEX Rasterkarten_georef_ix;
ALTER TABLE Rasterkarten DROP(georef);
COMMIT;

-- Rasterkarte ber Java-Programm StoreRasterInBlob speichern.

-- Erweiterung der Rasterdaten-Tabelle:
ALTER TABLE Rasterkarten ADD georef MDSYS.SDO_GEOMETRY;

-- Metadaten einfgen:
INSERT INTO USER_SDO_GEOM_METADATA
VALUES ('Rasterkarten','georef', MDSYS.SDO_DIM_ARRAY(
  MDSYS.SDO_DIM_ELEMENT('Rechtswert',3200000,4000000,1),
  MDSYS.SDO_DIM_ELEMENT('Hochwert',5200000,6500000,1)
) , 82027);
COMMIT;

-- Index anlegen:
CREATE INDEX Rasterkarten_georef_ix
ON Rasterkarten(georef)
INDEXTYPE IS MDSYS.SPATIAL_INDEX;

-- Rasterkarte aktualisieren:
UPDATE Rasterkarten
SET georef = MDSYS.SDO_GEOMETRY(2003,82027,NULL,
               MDSYS.SDO_ELEM_INFO_ARRAY(1,1003,3),
               MDSYS.SDO_ORDINATE_ARRAY(3430000,5870000,3470000,5910000))
WHERE ID = 1;
COMMIT;

-- Rumliche Anfrage stellen:
SELECT name
FROM Rasterkarten
WHERE SDO_FILTER (georef, MDSYS.SDO_GEOMETRY(2003,82027,null,
                    MDSYS.SDO_ELEM_INFO_ARRAY(1,1003,3),
                    MDSYS.SDO_ORDINATE_ARRAY(337000,5700000,3600000,6000000)),
                  'querytype=WINDOW') = 'TRUE';

-- ber Java-Programm ReadRasterFromBlob BLOB einlesen und als Datei speichern.
